Send referral email shares in batch (legacy)
curl --request POST \
--url https://{brand}.extole.io/api/v5/email/share/batch \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"advocate_code": "advocate_code",
"data": {
"data_key": "data_key"
},
"message": "message",
"recipient_emails": [
"recipient_email"
],
"subject": "subject"
}
'import requests
url = "https://{brand}.extole.io/api/v5/email/share/batch"
payload = {
"advocate_code": "advocate_code",
"data": { "data_key": "data_key" },
"message": "message",
"recipient_emails": ["recipient_email"],
"subject": "subject"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
advocate_code: 'advocate_code',
data: {data_key: 'data_key'},
message: 'message',
recipient_emails: ['recipient_email'],
subject: 'subject'
})
};
fetch('https://{brand}.extole.io/api/v5/email/share/batch', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"polling_id": "<string>",
"recipient_email": "<string>"
}
]Profiles
Send referral email shares in batch (legacy)
deprecated
Deprecated. Use POST /api/v6/email/share/batch instead. Sends referral emails to multiple recipients in a single request.
POST
/
api
/
v5
/
email
/
share
/
batch
Send referral email shares in batch (legacy)
Authorizations
HEADERQUERYCOOKIE
Body
application/json
⌘I
